public class Query {
	DatabaseConnector db;

	Query() {
		db = new DatabaseConnector("", 0, "wordle.db", "", "");
	}

	public void pullStats(User user) {
		String[][] r;
		db.executeStatement("SELECT * FROM user WHERE user LIKE" + user.username);
		r = db.getCurrentQueryResult().getData();
		user.currentStreak = Integer.parseInt(r[1][0]);
		user.maxStreak = Integer.parseInt(r[2][0]);
		user.wins = Integer.parseInt(r[3][0]);
		user.timesPlayed = Integer.parseInt(r[4][0]);
		user.wonInTurn[0] = Integer.parseInt(r[5][0]);
		user.wonInTurn[1] = Integer.parseInt(r[6][0]);
		user.wonInTurn[2] = Integer.parseInt(r[7][0]);
		user.wonInTurn[3] = Integer.parseInt(r[8][0]);
		user.wonInTurn[4] = Integer.parseInt(r[9][0]);
		user.wonInTurn[5] = Integer.parseInt(r[10][0]);
		user.lastDayWOTDFinished = Integer.parseInt(r[11][0]);

	}

	public void pushStats(User user) {
		db.executeStatement("UPDATE INTO Stats (current_streak," + " max_streak, " + "wins, " + "times_played, "
				+ "won_on_1, " + "won_on_2, " + "won_on_3, " + "won_on_4, " + "won_on_5, " + "won_on_6, "
				+ "last_day_WOTD_finished) " + "VALUES (" + user.currentStreak + user.maxStreak + user.wins
				+ user.timesPlayed + user.wonInTurn[0] + user.wonInTurn[1] + user.wonInTurn[2] + user.wonInTurn[3]
				+ user.wonInTurn[4] + user.wonInTurn[5] + user.lastDayWOTDFinished + ")");
	}

	public boolean checkLogin(String username, String password) {
		return false;
	}

	public String getWord() {
		return "";
	}
}
